Package org.eclipse.e4.ui.model.application.ui.menu

# Interface MMenuFactory

public interface MMenuFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MMenuFactory`
`INSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`MDirectMenuItem`
`createDirectMenuItem()`
Returns a new object of class 'Direct Menu Item'.
`MDirectToolItem`
`createDirectToolItem()`
Returns a new object of class 'Direct Tool Item'.
`MDynamicMenuContribution`
`createDynamicMenuContribution()`
Returns a new object of class 'Dynamic Menu Contribution'.
`MHandledMenuItem`
`createHandledMenuItem()`
Returns a new object of class 'Handled Menu Item'.
`MHandledToolItem`
`createHandledToolItem()`
Returns a new object of class 'Handled Tool Item'.
`MMenu`
`createMenu()`
Returns a new object of class 'Menu'.
`MMenuContribution`
`createMenuContribution()`
Returns a new object of class 'Contribution'.
`MMenuSeparator`
`createMenuSeparator()`
Returns a new object of class 'Separator'.
`MPopupMenu`
`createPopupMenu()`
Returns a new object of class 'Popup Menu'.
`MToolBar`
`createToolBar()`
Returns a new object of class 'Tool Bar'.
`MToolBarContribution`
`createToolBarContribution()`
Returns a new object of class 'Tool Bar Contribution'.
`MToolBarSeparator`
`createToolBarSeparator()`
Returns a new object of class 'Tool Bar Separator'.
`MToolControl`
`createToolControl()`
Returns a new object of class 'Tool Control'.
`MTrimContribution`
`createTrimContribution()`
Returns a new object of class 'Trim Contribution'.

## Field Details

### INSTANCE

static final MMenuFactory INSTANCE
The singleton instance of the factory.

## Method Details

### createMenuSeparator

MMenuSeparator createMenuSeparator()
Returns a new object of class 'Separator'.

Returns:
  a new object of class 'Separator'.
Since:
  1.0

### createMenu

MMenu createMenu()
Returns a new object of class 'Menu'.

Returns:
  a new object of class 'Menu'.
Since:
  1.0

### createMenuContribution

MMenuContribution createMenuContribution()
Returns a new object of class 'Contribution'.

Returns:
  a new object of class 'Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createPopupMenu

MPopupMenu createPopupMenu()
Returns a new object of class 'Popup Menu'.

Returns:
  a new object of class 'Popup Menu'.
Since:
  1.0

### createDirectMenuItem

MDirectMenuItem createDirectMenuItem()
Returns a new object of class 'Direct Menu Item'.

Returns:
  a new object of class 'Direct Menu Item'.
Since:
  1.0

### createHandledMenuItem

MHandledMenuItem createHandledMenuItem()
Returns a new object of class 'Handled Menu Item'.

Returns:
  a new object of class 'Handled Menu Item'.
Since:
  1.0

### createToolBar

MToolBar createToolBar()
Returns a new object of class 'Tool Bar'.

Returns:
  a new object of class 'Tool Bar'.
Since:
  1.0

### createToolControl

MToolControl createToolControl()
Returns a new object of class 'Tool Control'.

Returns:
  a new object of class 'Tool Control'.
Since:
  1.0

### createHandledToolItem

MHandledToolItem createHandledToolItem()
Returns a new object of class 'Handled Tool Item'.

Returns:
  a new object of class 'Handled Tool Item'.
Since:
  1.0

### createDirectToolItem

MDirectToolItem createDirectToolItem()
Returns a new object of class 'Direct Tool Item'.

Returns:
  a new object of class 'Direct Tool Item'.
Since:
  1.0

### createToolBarSeparator

MToolBarSeparator createToolBarSeparator()
Returns a new object of class 'Tool Bar Separator'.

Returns:
  a new object of class 'Tool Bar Separator'.
Since:
  1.0

### createToolBarContribution

MToolBarContribution createToolBarContribution()
Returns a new object of class 'Tool Bar Contribution'.

Returns:
  a new object of class 'Tool Bar Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createTrimContribution

MTrimContribution createTrimContribution()
Returns a new object of class 'Trim Contribution'.

Returns:
  a new object of class 'Trim Contribution'.
Since:
  1.0
Restriction:
  See `model documentation` for details.

### createDynamicMenuContribution

MDynamicMenuContribution createDynamicMenuContribution()
Returns a new object of class 'Dynamic Menu Contribution'.

Returns:
  a new object of class 'Dynamic Menu Contribution'.
Since:
  1.0